Package musicbrainz2

[frames] | no frames]

# Package musicbrainz2

source code

A collection of classes for MusicBrainz.

To get started quickly, have a look at webservice.Query and the examples there. The source distribution also contains example code you might find interesting.

This package contains the following modules:

1. model: The MusicBrainz domain model, containing classes like Artist, Release, or Track
2. webservice: An interface to the MusicBrainz XML web service.
3. wsxml: A parser for the web service XML format (MMD).
4. disc: Functions for creating and submitting DiscIDs.
5. utils: Utilities for working with URIs and other commonly needed tools.

Author: Matthias Friedrich <matt@mafr.de>

Version: 0.7.4

Submodules

- musicbrainz2.data: Support data for the musicbrainz2 package.
  - musicbrainz2.data.countrynames
  - musicbrainz2.data.languagenames
  - musicbrainz2.data.releasetypenames
  - musicbrainz2.data.scriptnames
- musicbrainz2.disc: Utilities for working with Audio CDs.
- musicbrainz2.model: The MusicBrainz domain model.
- musicbrainz2.utils: Various utilities to simplify common tasks.
- musicbrainz2.webservice: Classes for interacting with the MusicBrainz XML web service.
- musicbrainz2.wsxml: A parser for the Music Metadata XML Format (MMD).

Variables
| __revision__ = ``'``$Id: __init__.py 13329 2011-11-05 08:20:21Z lu``...``
| __package__ = `None`

Variables Details

### __revision__

Value:

      '$Id: __init__.py 13329 2011-11-05 08:20:21Z luks $'